<template>
  <div class="sticky-top">
    <TopBar />
    <b-row class="w-100">
      <!-- <b-col sm="12" md="4" xl="3" class="p-0 border-right">
        <div class="bg-white p-3 d-flex align-items-center">
          <ClockIcon class="ml-4" />
          <h3 class="ml-3 m-0">Most Visited</h3>
        </div>
        <div class="m-4 w-75">
          <div
            v-for="n in 5"
            :key="n"
            class="p-1 bg-gray text-white mt-2"
            style="height: 12px"
          ></div>
        </div>
        <div class="bg-white p-3 d-flex align-items-center">
          <StarIcon class="ml-4" />
          <h3 class="ml-3 m-0">Favorites</h3>
        </div>
        <div class="m-4 w-75">
          <div
            v-for="n in 3"
            :key="n"
            class="p-1 bg-gray text-white mt-2"
            style="height: 12px"
          ></div>
        </div>
      </b-col> -->
      <b-col sm="12" md="12" xl="12" class="p-0">
        <div
          class="bg-white border-bottom d-flex justify-content-center align-items-center"
          style="padding: 10px 15px"
        >
          <b-input-group>
            <template #prepend>
              <b-input-group-text class="border-right-0 bg-transparent">
                <SearchIcon />
              </b-input-group-text>
            </template>
            <b-form-input
              v-model="valueToSearch"
              type="text"
              placeholder="Search in RISIS..."
              class="pl-0 border-left-0"
            ></b-form-input>
          </b-input-group>
        </div>
        <div class="card-columns">
          <div
            v-for="(section, index) in filteredData"
            :key="index"
            style="width: 70%; margin: 5% 0 3% 10%; display: inline-block"
          >
            <p
              class="font-weight-bold mb-0 position-relative"
              style="left: -8%"
            >
              <component
                :is="section.icon"
                class="mr-1 position-relative"
              ></component>
              {{ section.title }}
            </p>
            <p class="font-weight-bold small font-italic mb-2">
              {{ section.subTitle }}
            </p>
            <div v-if="section.title === 'LATEST TWEETS'">
              <Timeline
                id="risis_eu"
                source-type="profile"
                :options="{
                  tweetLimit: '1',
                  chrome: 'transparent',
                  height: 230,
                }"
              />
            </div>
            <div v-else>
              <div v-if="section.links.length > 0">
                <p
                  v-for="(link, index2) in section.links"
                  :key="index2"
                  class="mb-1"
                >
                  <b-link :href="link.to" target="_blank">{{
                    link.title
                  }}</b-link>
                </p>
              </div>
              <div v-else>
                <div
                  v-for="n in 5"
                  :key="n"
                  class="p-1 bg-gray text-white mt-2 w-75"
                  style="height: 12px"
                ></div>
              </div>
            </div>
          </div>
        </div>
      </b-col>
    </b-row>
  </div>
</template>
<script>
import { Timeline } from 'vue-tweet-embed';
export default {
  components: {
    Timeline,
  },
  middleware: 'auth',
  data() {
    return {
      valueToSearch: '',
      sections: [
        {
          icon: 'DiamondIcon',
          title: 'ABOUT',
          subTitle: 'Know more about RISIS',
          links: [
            {
              title: 'Projects',
              to: 'https://www.risis2.eu/project-description/',
            },
            {
              title: 'Objectives',
              to: 'https://www.risis2.eu/risis-objectives/',
            },
            {
              title: 'Documents',
              to: 'https://www.risis2.eu/official-documents/',
            },
          ],
        },

        {
          icon: 'UsersIcon',
          title: 'Members',
          subTitle: 'They make it possible',
          links: [
            {
              title: 'UGE Université Gustave Eiffel',
              to: 'https://www.univ-gustave-eiffel.fr/',
            },
            {
              title: 'AIT Austrian Institute of Technology',
              to: 'https://www.ait.ac.at/',
            },
            {
              title: 'POLIMI Politecnico di Milano',
              to: 'https://www.polimi.it/',
            },
            {
              title: 'CNR Consiglio Nazionale delle Ricerche',
              to: 'https://www.cnr.it/',
            },
            {
              title: 'LEIDEN Leiden Universiteit',
              to: 'https://www.universiteitleiden.nl/',
            },
            {
              title: 'USFD University of Sheffield',
              to: 'https://www.sheffield.ac.uk/',
            },
            {
              title: 'FRAUNHOFER Fraunhofer ISI',
              to: 'https://www.isi.fraunhofer.de/en.html',
            },
            {
              title: 'USI Università della Svizzera Italiana',
              to: 'https://www.usi.ch/it',
            },
            {
              title: 'JOANNEUM Joanneum Research',
              to: 'https://www.joanneum.at/',
            },
            {
              title: 'UOS University of Sussex',
              to: 'https://www.sussex.ac.uk/',
            },
            {
              title: 'DZHW German Centre for Higher Education',
              to: 'https://www.dzhw.eu/en/',
            },
            {
              title: 'STRATHCLYDE University of Strathclyde',
              to: 'https://www.strath.ac.uk/',
            },
            {
              title: 'SAPIENZA Università degli Studi di Roma',
              to: 'https://www.uniroma1.it/it/pagina-strutturale/home',
            },
            {
              title: 'NIFU Nordic Institute for Studies in Innovation',
              to: 'https://www.nifu.no/en/',
            },
            {
              title: 'Consejo Superior de Investigaciones Científicas',
              to: 'https://www.csic.es/es',
            },
            {
              title: 'The Samuel Neaman Istitute',
              to: 'https://neaman.org.il/EN/Home',
            },
            {
              title: 'TC CAS Technology Centre',
              to: 'https://erc.europa.eu/content/technology-centre-cas',
            },
            {
              title: 'Athena Research and Innovation Center',
              to: 'https://ec.europa.eu/growth/tools-databases/regional-innovation-monitor/organisation/kentriki-ellada/athena-research-and-innovation-center-information-communication-and',
            },
          ],
        },

        {
          icon: 'MessageIcon',
          title: 'LATEST TWEETS',
          subTitle: 'They are talking about RISIS',
          links: [],
        },

        {
          icon: 'MapIcon',
          title: 'TUTORIALS',
          subTitle: 'Step-to-step guides',
          links: [
            {
              title: 'Registration',
              to: 'https://docs.risis.io/gettingstarted/firststeps/register',
            },
            {
              title: 'Login',
              to: 'https://docs.risis.io/gettingstarted/firststeps/login',
            },
            {
              title: 'Run Your First Scenario',
              to: 'https://docs.risis.io/gettingstarted/firststeps/run',
            },
            {
              title: 'Explore Results',
              to: 'https://docs.risis.io/gettingstarted/firststeps/results',
            },
          ],
        },

        {
          icon: 'HelpIcon',
          title: 'SCENARIOS DOCUMENTATION',
          subTitle: 'Get the most of RISIS',
          links: [
            {
              title: 'Assign adapted nuts to addresses (CorTexT)',
              to: 'https://docs.risis.io/scenarios/analysis/assignadaptednutstoaddressescortext',
            },
            {
              title:
                'Assign adapted nuts to geographical coordinates (CorTexT)',
              to: 'https://docs.risis.io/scenarios/analysis/assignadaptednutstogeographicalcoordinatescortext',
            },
            {
              title: 'CHEETAH Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/cheetahextraction',
            },
            {
              title: 'CIB Firms Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/cibfirmsextraction',
            },
            {
              title: 'CInnoB Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/cinnobfirmsperyearextraction',
            },
            {
              title: 'Cortext Epic Epoch',
              to: 'https://docs.risis.io/scenarios/analysis/cortextepicepoch',
            },
            {
              title: 'Cortext Geospatial Semantic Analysis',
              to: 'https://docs.risis.io/scenarios/analysis/cortextgeospatialsemanticanalysis',
            },
            {
              title: 'Cortext STI analysis',
              to: 'https://docs.risis.io/scenarios/analysis/cortextstianalysis',
            },
            {
              title: 'D4Science Search',
              to: 'https://docs.risis.io/scenarios/analysis/d4sciencesearch',
            },
            {
              title: 'EFIL Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/efilextraction',
            },
            {
              title: 'EUPRO Project Info',
              to: 'https://docs.risis.io/scenarios/extractdata/euproprojectinfo',
            },
            {
              title: 'EUPRO Projects and Participations',
              to: 'https://docs.risis.io/scenarios/extractdata/euproprojectsandparticipations',
            },
            {
              title: 'Geocode Addresses (CorTexT)',
              to: 'https://docs.risis.io/scenarios/analysis/geocodeaddressescortext',
            },
            {
              title: 'Grant Dataset Permission',
              to: 'https://docs.risis.io/scenarios/extractdata/grantdatasetpermission',
            },
            {
              title: 'ISI-TM Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/isitmextraction',
            },
            {
              title: 'IPC Analysis',
              to: 'https://docs.risis.io/scenarios/analysis/ipcanalysis',
            },
            {
              title: 'Knowmak Classification',
              to: 'https://docs.risis.io/scenarios/extractdata/knowmakclassification',
            },
            {
              title: 'Linking OrgReg or CIB data with RPD',
              to: 'https://docs.risis.io/scenarios/extractdata/linkingorgregcibrpd',
            },
            {
              title: 'NANO Documents Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/nanodocumentsextraction',
            },
            {
              title: 'OrgReg',
              to: 'https://docs.risis.io/scenarios/extractdata/orgreg',
            },
            {
              title: 'Patents Extraction for Cortext',
              to: 'https://docs.risis.io/scenarios/extractdata/patentsextractionforcortext',
            },
            {
              title: 'RISIS Patent analysis (CorTexT)',
              to: 'https://docs.risis.io/scenarios/analysis/risispatentanalysis',
            },
            {
              title: 'RPD Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/rpdextraction',
            },
            {
              title: 'Translate FR to EN (Gate)',
              to: 'https://docs.risis.io/scenarios/analysis/translatefrtoengate',
            },
            {
              title: 'VICO Extraction',
              to: 'https://docs.risis.io/scenarios/extractdata/vicoextraction',
            },
          ],
        },

        {
          icon: 'SettingsIcon',
          title: 'SERVICES PROVIDERS',
          subTitle: 'Analysis powered by',
          links: [
            { title: 'CorTexT', to: 'https://www.cortext.net/' },
            { title: 'Gate Cloud', to: 'https://cloud.gate.ac.uk/' },
            { title: 'D4Science', to: 'https://risis2.d4science.org/' },
            { title: 'OPENAIRE', to: 'https://provide.openaire.eu/' },
            { title: 'Cogniteva', to: 'https://cogniteva.com/' },
          ],
        },

        {
          icon: 'CalendarIcon',
          title: 'UPCOMING EVENTS',
          subTitle: 'You do not want to miss it',
          links: [
            { title: 'Events', to: 'https://www.risis2.eu/upcoming-events/' },
          ],
        },

        {
          icon: 'AppsIcon',
          title: 'APPS',
          subTitle: 'Apps available through RISIS',
          links: [
            { title: 'ESID', to: 'https://esid.shinyapps.io/ESID/' },
            { title: 'Knowmak', to: 'https://knowmak.eu' },
            { title: 'OrgReg', to: 'https://register.orgreg.joanneum.at/' },
            {
              title: 'Virtual research Environment',
              to: 'https://risis2.d4science.org/',
            },
            { title: 'Zenodo', to: 'https://zenodo.org/communities/risis/' },
          ],
        },

        {
          icon: 'FileTextIcon',
          title: 'DATASETS',
          subTitle: 'Explore and request access',
          links: [
            {
              title: 'CHEETAH',
              to: 'https://docs.risis.io/datasets/metadata/cheetah',
            },
            {
              title: 'CIB / CinnoB',
              to: 'https://docs.risis.io/datasets/metadata/cibcinnob',
            },
            {
              title: 'CWTS publication',
              to: 'https://docs.risis.io/datasets/metadata/cwtspublication',
            },
            {
              title: 'Dissertation-Centric Database',
              to: 'https://docs.risis.io/datasets/metadata/ddc',
            },
            {
              title: 'EFIL',
              to: 'https://docs.risis.io/datasets/metadata/efil',
            },
            {
              title: 'ESID',
              to: 'https://docs.risis.io/datasets/metadata/esid',
            },
            {
              title: 'EUPRO',
              to: 'https://docs.risis.io/datasets/metadata/eupro',
            },
            {
              title: 'ISI-TM',
              to: 'https://docs.risis.io/datasets/metadata/isitm',
            },
            {
              title: 'JoREP 2.0',
              to: 'https://docs.risis.io/datasets/metadata/jorep20',
            },
            {
              title: 'MORE',
              to: 'https://docs.risis.io/datasets/metadata/more',
            },
            {
              title: 'NANO',
              to: 'https://docs.risis.io/datasets/metadata/nano',
            },
            {
              title: 'PROFILE',
              to: 'https://docs.risis.io/datasets/metadata/profile',
            },
            {
              title: 'RISIS Patent',
              to: 'https://docs.risis.io/datasets/metadata/risispatent',
            },
            {
              title: 'RISIS-ETER',
              to: 'https://docs.risis.io/datasets/metadata/risiseter',
            },
            {
              title: 'SIPER',
              to: 'https://docs.risis.io/datasets/metadata/siper',
            },
            {
              title: 'VICO',
              to: 'https://docs.risis.io/datasets/metadata/vico',
            },
          ],
        },

        {
          icon: 'ChartBarIcon',
          title: 'METHODS',
          subTitle: 'Understand RISIS data analysis approaches',
          links: [
            {
              title: 'Multi-level methods',
              to: 'https://www.risis2.eu/methods-multi-level-models/',
            },
            {
              title: 'Spatial regressions',
              to: 'https://www.risis2.eu/methods-spatial/',
            },
            {
              title: 'Panel Data models',
              to: 'https://www.risis2.eu/methods-panel-data-models/',
            },
            {
              title: 'Advanced benchmarking',
              to: 'https://www.risis2.eu/event/methodological-course-on-advanced-benchmarking-models-and-techniques/',
            },
          ],
        },
        // {
        //   icon: 'SquarePlusIcon',
        //   title: 'FAQ',
        //   subTitle: 'Frequently asked questions',
        //   links: [],
        // },
      ],
    };
  },
  head() {
    return {
      title: 'Sitemap - RISIS Workspace',
    };
  },
  computed: {
    filteredData() {
      function filter(sections, searchTerm) {
        const matches = [];
        if (!Array.isArray(sections)) return matches;
        sections.forEach((i) => {
          if (i.title.toLowerCase().includes(searchTerm)) {
            matches.push(i);
          } else if (
            i.subTitle &&
            i.subTitle.toLowerCase().includes(searchTerm)
          ) {
            matches.push(i);
          } else {
            const childResults = filter(i.links, searchTerm);
            if (childResults.length)
              matches.push(Object.assign({}, i, { sections: childResults }));
          }
        });
        return matches;
      }

      if (!this.valueToSearch) {
        return this.sections;
      } else {
        return filter(this.sections, this.valueToSearch.toLowerCase());
      }
    },
  },
};
</script>
<style scoped>
.timeline-Widget {
  background-color: #f5f7fb !important;
}
</style>
